package com.iconplus.smartproc.controller;

import com.iconplus.smartproc.helper.model.EmptyRequest;
import com.iconplus.smartproc.model.response.GetListUserApprovalResponse;
import com.iconplus.smartproc.service.approval.GetListUserDirekturKomiteService;
import com.iconplus.smartproc.service.approval.GetListUserVpService;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@CrossOrigin(origins = "${fe.server}", allowCredentials = "true")
@RestController
@RequestMapping("/api/drp/approval")
public class ApprovalDrpController {

    private GetListUserVpService getListUserVpService;
    private GetListUserDirekturKomiteService getListUserDirekturKomiteService;
    public ApprovalDrpController(GetListUserVpService getListUserVpService,
                                 GetListUserDirekturKomiteService getListUserDirekturKomiteService) {
        this.getListUserVpService = getListUserVpService;
        this.getListUserDirekturKomiteService = getListUserDirekturKomiteService;
    }

    @GetMapping("/vp")
    public GetListUserApprovalResponse getUserVp(EmptyRequest emptyRequest) {
        return getListUserVpService.execute(emptyRequest);
    }

    @GetMapping("direktur-komite")
    public GetListUserApprovalResponse getUserDirekturKomite(EmptyRequest emptyRequest) {
        return getListUserDirekturKomiteService.execute(emptyRequest);
    }
}
